Subject: bug#37605: closed (Re: [core-updates] MariaDB fails tests on armhf-linux)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 08 Oct 2019 09:01:03 +0000

Your bug report

#37605: [core-updates] MariaDB fails tests on armhf-linux

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37605: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37605
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [core-updates] MariaDB fails tests on armhf-linux
From: Marius Bakke <[email-masked]>
To: [email-masked]
Date: Tue, 08 Oct 2019 11:00:24 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Marius Bakke <[email-masked]> writes:

> Marius Bakke <[email-masked]> writes:
>
>> "mariadb" consistently fails a single test on the core-updates branch on
>> armhf-linux:
>>
>> https://ci.guix.gnu.org/build/1689172/details
>>
>> [...]
>>
>> This does not happen on current 'master', so the problem was introduced
>> somewhere in between ccbc1c5eb..cbc8c658d.
>
> Upstream bug report here:
>
> https://jira.mariadb.org/browse/MDEV-20573
>
> I'm not sure what to do about it.  We could skip it, but then users who
> rely on encrypted binary logs could potentially get in trouble.  I
> haven't found a compile-time flag to disable just this one feature.

I was able to work around it by going back to GCC 5:

modified   gnu/packages/databases.scm
@@ -72,6 +72,7 @@
   #:use-module (gnu packages dbm)
   #:use-module (gnu packages emacs)
   #:use-module (gnu packages flex)
+  #:use-module (gnu packages gcc)
   #:use-module (gnu packages gettext)
   #:use-module (gnu packages glib)
   #:use-module (gnu packages gnupg)
@@ -779,6 +780,10 @@ Language.")
               #t))))))
     (native-inputs
      `(("bison" ,bison)
+       ;; XXX: On armhf, use GCC 5 to work around <https://bugs.gnu.org/37605>.
+       ,@(if (string-prefix? "armhf" (%current-system))
+             `(("gcc", gcc-5))
+             '())
        ("perl" ,perl)))
     (inputs
      `(("jemalloc" ,jemalloc)

GCC 9 did not make a difference.

Workaround pushed in 2fa55c72476c73211cbb2d6b29c05a1ad58a6cf9.  Let's
revisit this after upgrading to MariaDB 10.4.

Subject: [core-updates] MariaDB fails tests on armhf-linux
From: Marius Bakke <[email-masked]>
To: [email-masked]
Date: Thu, 03 Oct 2019 17:44:41 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

"mariadb" consistently fails a single test on the core-updates branch on
armhf-linux:

https://ci.guix.gnu.org/build/1689172/details

The test output:

CURRENT_TEST: binlog_encryption.rpl_skip_replication
safe_process[21120]: parent_pid: 16023
safe_process[21120]: Started child 21121, terminated: 0
--- /tmp/guix-build-mariadb-10.1.41.drv-0/mariadb-10.1.41/mysql-test/suite/binlog_encryption/rpl_skip_replication.result	1970-01-01 00:00:00.000000000 +0000
+++ /tmp/guix-build-mariadb-10.1.41.drv-0/mariadb-10.1.41/mysql-test/suite/binlog_encryption/rpl_skip_replication.reject	2019-09-05 23:24:20.300000000 +0000
@@ -46,12 +46,15 @@
 Tables_in_test
 t1
 t2
+t3
 SELECT * FROM t1;
 a	b
 1	NULL
+2	NULL
 SELECT * FROM t2;
 a	b
 1	NULL
+2	NULL
 DROP TABLE t3;
 FLUSH NO_WRITE_TO_BINLOG LOGS;
 STOP SLAVE;
@@ -66,12 +69,17 @@
 Tables_in_test
 t1
 t2
+t3
 SELECT * FROM t1;
 a	b
 1	NULL
+2	NULL
+3	NULL
 SELECT * FROM t2;
 a	b
 1	NULL
+2	NULL
+3	NULL
 DROP TABLE t3;
 FLUSH NO_WRITE_TO_BINLOG LOGS;
 STOP SLAVE;
@@ -109,6 +117,7 @@
 SELECT * FROM t1 ORDER by a;
 a	b
 1	0
+2	0
 3	0
 TRUNCATE t1;
 STOP SLAVE;
@@ -127,6 +136,7 @@
 SET binlog_format= @old_binlog_format;
 SELECT * FROM t1;
 a	b
+3	5
 4	5
 include/stop_slave.inc
 SET @old_slave_binlog_format= @@global.binlog_format;
@@ -151,6 +161,7 @@
 2	8
 SELECT * FROM t1 ORDER by a;
 a	b
+1	8
 2	8
 include/stop_slave.inc
 SET GLOBAL binlog_format= @old_slave_binlog_format;
@@ -225,6 +236,7 @@
 START SLAVE;
 SELECT * FROM t1;
 a	b
+1	NULL
 2	NULL
 SET skip_replication= 0;
 TRUNCATE t1;

mysqltest: Result length mismatch

safe_process[21120]: Got signal 17, child_pid: 21121
safe_process[21120]: Killing child: 21121
safe_process[21120]: Child exit: 1

binlog_encryption.rpl_skip_replication 'mix,xtradb' w2 [ fail ]
        Test ended at 2019-09-05 23:24:22

This does not happen on current 'master', so the problem was introduced
somewhere in between ccbc1c5eb..cbc8c658d.